package b4a.game.helper;

import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.ShortName;

import com.google.android.gms.games.multiplayer.realtime.RealTimeMessage;

import android.os.Parcel;
import android.os.Parcelable.Creator;


@ShortName(value = "gMessage")
public class RealTimeMessageWrapper {
	
	RealTimeMessage me;
//	public static final Creator<RealTimeMessage> CREATOR = new Creator<RealTimeMessage>(){
//		public RealTimeMessage createFromParcel(Parcel source){
//			final RealTimeMessage RTM = new RealTimeMessage();
//		}
//	};
	
	
	
	public static final int UNRELIABLE = 0;
	public static final int RELIABLE = 1;
	
//	@Hide
//	public RealTimeMessageWrapper(RealTimeMessage RTM){
//		me = RTM;
//	}
	
	public int describeContents(){
		return me.describeContents();
	}
	
	/**
	 * 
	 * Returns the message data
	 */
	public byte[] getMessageData(){
		return me.getMessageData();
	}
	
	/**
	 * 
	 * Returns the participant ID of the message sender
	 */
	public String getSenderParticipantId(){
		return me.getSenderParticipantId();
	}
	
	/**
	 * 
	 * Returns whether this message was sent over a reliable channel
	 */
	public boolean isReliable(){
		return me.isReliable();
	}
	
	public void writeToParcel(Parcel parcel, int flag){
		me.writeToParcel(parcel, flag); 
	}
}